This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882508 - (appmenu-qt) Review Request: appmenu-qt - Global application menu to Qt
Review Request: appmenu-qt - Global application menu to Qt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 842124 (view as bug list)
Depends On:
Blocks: kde-reviews 882512
  Show dependency treegraph
 
Reported: 2012-12-01 09:55 EST by Mario Blättermann
Modified: 2013-03-15 21:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 19:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-12-01 09:55:56 EST
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/appmenu-qt.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/appmenu-qt-0.2.6-1.fc18.src.rpm
Description: This package allows Qt to export its menus over DBus.
Fedora Account System Username: mariobl

I'm unsure about the licensing situation. The files are licensed under GPLv3 and LGPLv2, but with an exception which comes from Nokia.

The links from the previous review request (bug # 842124) seem to be dead. Otherwise I could have a look at this package...
Comment 1 Mario Blättermann 2012-12-01 09:56:28 EST
*** Bug 842124 has been marked as a duplicate of this bug. ***
Comment 2 Rex Dieter 2012-12-01 09:59:56 EST
i'll try to help review this over this weekend...
Comment 3 Kevin Kofler 2012-12-01 21:16:26 EST
Your License tag "LGPLv2 with exceptions or GPLv3" is fine. FWIW, the LGPLv2 allows converting to any later version of the GPL, in particular to v3, so the dual-licensing is redundant, but for some reason Nokia decided to make this explicit in some places.
Comment 4 Rex Dieter 2012-12-08 16:26:10 EST
I'll echo some comments from the previous dup'd review,

naming: ok

sources: ok
md5sum *.bz2
90cce750e5412d43ce075b0a9bdb6782  appmenu-qt-0.2.6.tar.bz2

license: ok
(or use Kevin's suggestion)

macros: ok 
1. could use some polish, SHOULD be using fedora's %_qt4_plugindir macro instead of hard-coding %{_libdir}/qt4/plugins

scriptlets: n/a

otherwise, it's a relatively simple package, I see nothing else that needs work.

As far as I'm concerned, item 1 is relatively cosmetic, and it's ok with me as long as it is addressed prior to doing any official fedora builds.


APPROVED.
Comment 5 Mario Blättermann 2012-12-08 16:32:29 EST
Thanks for that quick review. Before I build the packages from the to be created Git repo, I will change the hardcoded plugin path to the proposed %_qt4_plugindir.

New Package SCM Request
=======================
Package Name: appmenu-qt
Short Description: Global application menu to Qt
Owners: mariobl
Branches: f18
Comment 6 Jon Ciesla 2012-12-08 20:50:33 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-12-09 11:46:24 EST
appmenu-qt-0.2.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/appmenu-qt-0.2.6-2.fc18
Comment 8 Fedora Update System 2012-12-10 01:57:59 EST
appmenu-qt-0.2.6-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-01-11 19:48:10 EST
appmenu-qt-0.2.6-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 nucleo 2013-02-20 16:31:29 EST
If KDE 4.10 will be in F17 then maybe makes sense F17 branch for appmenu-qt?
Comment 11 Rex Dieter 2013-02-20 17:28:49 EST
yes!

Package Change Request
======================
Package Name: appmenu-qt
New Branches: f17
owners: jreznik rdieter rrix
Comment 12 Jon Ciesla 2013-02-20 22:24:16 EST
No owner specified.
Comment 13 Rex Dieter 2013-02-21 08:28:49 EST
Package Change Request
======================
Package Name: appmenu-qt
New Branches: f17
Owners: jreznik rdieter rrix
Comment 14 Jon Ciesla 2013-02-21 08:43:35 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2013-03-05 16:08:43 EST
appmenu-qt-0.2.6-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/appmenu-qt-0.2.6-3.fc17
Comment 16 Fedora Update System 2013-03-15 21:29:37 EDT
appmenu-qt-0.2.6-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.